import { AccessKeyPropType, AlternativeButtonLinkRolePropType, AriaCurrentValuePropType, AriaDescriptionPropType, AriaExpandedPropType, AriaOwnsPropType, ButtonVariantPropType, CustomClassPropType, DisabledPropType, DownloadPropType, FocusableElement, HrefPropType, KoliBriIconsProp, LabelWithExpertSlotPropType, LinkAPI, LinkOnCallbacksPropType, LinkStates, LinkTargetPropType, ShortKeyPropType, Stringified, TooltipAlignPropType } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolLinkWc implements LinkAPI, FocusableElement {
    private anchorRef?;
    private unsubscribeOnLocationChange?;
    private readonly internalDescriptionById;
    private readonly catchRef;
    kolFocus(): Promise<void>;
    private readonly onClick;
    private readonly getRenderValues;
    render(): JSX.Element;
    _accessKey?: AccessKeyPropType;
    _ariaCurrentValue?: AriaCurrentValuePropType;
    _ariaDescription?: AriaDescriptionPropType;
    _ariaExpanded?: boolean;
    _ariaOwns?: AriaOwnsPropType;
    _customClass?: CustomClassPropType;
    _disabled?: boolean;
    _download?: DownloadPropType;
    _hideLabel?: boolean;
    _href: HrefPropType;
    _icons?: Stringified<KoliBriIconsProp>;
    _label?: LabelWithExpertSlotPropType;
    _on?: LinkOnCallbacksPropType;
    _role?: AlternativeButtonLinkRolePropType;
    _shortKey?: ShortKeyPropType;
    _tabIndex?: number;
    _target?: LinkTargetPropType;
    _tooltipAlign?: TooltipAlignPropType;
    _variant?: ButtonVariantPropType;
    state: LinkStates;
    validateAccessKey(value?: AccessKeyPropType): void;
    validateAriaCurrentValue(value?: AriaCurrentValuePropType): void;
    validateAriaDescription(value?: AriaDescriptionPropType): void;
    validateAriaExpanded(value?: AriaExpandedPropType): void;
    validateAriaOwns(value?: AriaOwnsPropType): void;
    validateCustomClass(value?: CustomClassPropType): void;
    validateDisabled(value?: DisabledPropType): void;
    validateDownload(value?: DownloadPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHref(value?: string): void;
    validateIcons(value?: KoliBriIconsProp): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateOn(value?: LinkOnCallbacksPropType): void;
    validateRole(value?: AlternativeButtonLinkRolePropType): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateTabIndex(value?: number): void;
    validateTarget(value?: LinkTargetPropType): void;
    validateTooltipAlign(value?: TooltipAlignPropType): void;
    validateVariant(value?: ButtonVariantPropType): void;
    componentWillLoad(): void;
    disconnectedCallback(): void;
}
