/*!
 * KoliBri - The accessible HTML-Standard
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0});const index=require("./index-c048b81b.js"),ariaCurrentService=require("./ariaCurrentService-53afa476.js"),events=require("./events-221fcb43.js"),dev_utils=require("./dev.utils-dd5eab59.js"),componentNames=require("./component-names-7808fb62.js"),i18n=require("./i18n-1d085d07.js"),accessAndShortKey=require("./access-and-short-key-4b185f62.js"),clsx=require("./clsx-dd4d6dd1.js"),Span=require("./Span-e42fa129.js"),prop_validators=require("./prop.validators-37d21dea.js"),href=require("./href-50c41695.js"),reuse=require("./reuse-8cfefa9b.js"),buttonVariant=require("./button-variant-acac72ee.js"),customClass=require("./custom-class-d8a5e95d.js"),disabled=require("./disabled-5eb4fde5.js"),hideLabel=require("./hide-label-1783d2a4.js"),icons=require("./icons-3917f9e0.js"),label=require("./label-d84e4f92.js"),tooltipAlign=require("./tooltip-align-70093437.js");require("./dev.utils-58fde089.js"),require("./i18n-737701e2.js"),require("./tslib.es6-5e301284.js"),require("./InternalUnderlinedBadgeText-6a5d3caa.js"),require("./index-bf4a6924.js"),require("./common-1ab929ac.js"),require("./align-f4f3dfb6.js");const ariaCurrentValuePropTypeOptions=["date","location","page","step","time","true","false"],validateAriaCurrentValue=(t,e)=>{prop_validators.watchValidator(t,"_ariaCurrentValue",(t=>"string"==typeof t&&ariaCurrentValuePropTypeOptions.includes(t)),new Set([`AriaCurrentValue {${ariaCurrentValuePropTypeOptions.join(", ")}`]),e,{defaultValue:"page"})},validateAriaOwns=(t,e)=>{prop_validators.watchString(t,"_ariaOwns",e,{defaultValue:void 0})},validateDownload=(t,e)=>{prop_validators.watchString(t,"_download",e)},validateLinkCallbacks=(t,e)=>{"object"==typeof e&&"function"==typeof(null==e?void 0:e.onClick)&&(t.state=Object.assign(Object.assign({},t.state),{_on:e}))},validateLinkTarget=(t,e)=>{prop_validators.watchString(t,"_target",e)},KolLinkWc=class{constructor(t){index.registerInstance(this,t),this.internalDescriptionById=dev_utils.nonce(),this.catchRef=t=>{this.anchorRef=t},this.onClick=t=>{var e,a;!0===this.state._disabled?events.preventDefaultAndStopPropagation(t):"function"==typeof(null===(e=this.state._on)||void 0===e?void 0:e.onClick)&&(t.preventDefault(),t.stopPropagation(),prop_validators.setEventTarget(t,this.anchorRef),null===(a=this.state._on)||void 0===a||a.onClick(t,this.state._href))},this.getRenderValues=()=>{const t="string"==typeof this.state._target&&"_self"!==this.state._target,e={href:"string"==typeof this.state._href&&this.state._href.length>0?this.state._href:"javascript:void(0);",target:"string"==typeof this.state._target&&this.state._target.length>0?this.state._target:void 0,rel:t?"noopener":void 0,download:"string"==typeof this.state._download?this.state._download:void 0};return!0!==this.state._hideLabel||this.state._label||prop_validators.devHint("[KolLink] An aria-label must be set when _hide-label is set."),{isExternal:t,tagAttrs:e}},this._accessKey=void 0,this._ariaCurrentValue=void 0,this._ariaDescription=void 0,this._ariaExpanded=void 0,this._ariaOwns=void 0,this._customClass=void 0,this._disabled=!1,this._download=void 0,this._hideLabel=!1,this._href=void 0,this._icons=void 0,this._label=void 0,this._on=void 0,this._role=void 0,this._shortKey=void 0,this._tabIndex=void 0,this._target=void 0,this._tooltipAlign="right",this._variant="normal",this.state={_ariaCurrentValue:"page",_href:"",_icons:{}}}async kolFocus(){var t;null===(t=this.anchorRef)||void 0===t||t.focus()}render(){var t,e;const{isExternal:a,tagAttrs:i}=this.getRenderValues(),s=reuse.showExpertSlot(this.state._label),l=Boolean(null===(e=null===(t=this.state._ariaDescription)||void 0===t?void 0:t.trim())||void 0===e?void 0:e.length);return index.h(index.Host,{key:"15bfe5be4e759ae7683b602a95160b9f8344115d"},index.h("a",Object.assign({key:"26e7a2352c4cffaa67b02ca61abaebf552b9c70b",ref:this.catchRef},i,{accessKey:this.state._accessKey,"aria-current":this.state._ariaCurrent,"aria-describedby":l?this.internalDescriptionById:void 0,"aria-disabled":this.state._disabled?"true":void 0,"aria-expanded":"boolean"==typeof this.state._ariaExpanded?String(this.state._ariaExpanded):void 0,"aria-owns":this.state._ariaOwns,"aria-label":this.state._hideLabel&&"string"==typeof this.state._label?`${this.state._label}${a?` (${i18n.translate("kol-open-link-in-tab")})`:""}`:void 0,class:clsx.clsx("kol-link",{"kol-link--disabled":!0===this.state._disabled,"kol-link--external-link":a,"kol-link--hide-label":!0===this.state._hideLabel,[`kol-link--${this.state._variant}`]:"button"===this.state._role&&"custom"!==this.state._variant,[this.state._customClass]:"custom"===this.state._variant&&"string"==typeof this.state._customClass&&this.state._customClass.length>0})},this.state._on,{onClick:this.onClick,onKeyPress:this.onClick,role:this.state._role,tabIndex:this.state._disabled?-1:this.state._tabIndex}),index.h(Span.KolSpanFc,{key:"5f6fa4c9d18645bbcf52ac01192e310488042244",class:"kol-link__text",badgeText:this.state._accessKey||this.state._shortKey,icons:this.state._icons,hideLabel:this.state._hideLabel,label:s?"":this.state._label||this.state._href},index.h("slot",{key:"a5f68d5648ff9eb21712586377cef0f3f1b0a88b",name:"expert",slot:"expert"})),a&&index.h(componentNames.KolIconTag,{key:"a831e3b38eeca8d5a7d08ccf0622f37027850c3a",class:"kol-link__icon",_label:this.state._hideLabel?"":i18n.translate("kol-open-link-in-tab"),_icons:"codicon codicon-link-external","aria-hidden":this.state._hideLabel})),index.h(componentNames.KolTooltipWcTag,{key:"2fd6a4050b4c2b0c4f35d71102770cc651b91e5e","aria-hidden":"true",class:"kol-link__tooltip",hidden:s||!this.state._hideLabel,_badgeText:this.state._accessKey||this.state._shortKey,_align:this.state._tooltipAlign,_label:this.state._label||this.state._href}),l&&index.h("span",{key:"177484b0ec392f5ebfff023bf3a3487c9570162b",class:"visually-hidden",id:this.internalDescriptionById},this.state._ariaDescription))}validateAccessKey(t){accessAndShortKey.validateAccessKey(this,t),accessAndShortKey.validateAccessAndShortKey(t,this._shortKey)}validateAriaCurrentValue(t){validateAriaCurrentValue(this,t)}validateAriaDescription(t){buttonVariant.validateAriaDescription(this,t)}validateAriaExpanded(t){buttonVariant.validateAriaExpanded(this,t)}validateAriaOwns(t){validateAriaOwns(this,t)}validateCustomClass(t){customClass.validateCustomClass(this,t)}validateDisabled(t){disabled.validateDisabled(this,t)}validateDownload(t){validateDownload(this,t)}validateHideLabel(t){hideLabel.validateHideLabel(this,t)}validateHref(t){href.validateHref(this,t,{required:!0})}validateIcons(t){icons.validateIcons(this,t)}validateLabel(t){label.validateLabelWithExpertSlot(this,t)}validateOn(t){validateLinkCallbacks(this,t)}validateRole(t){buttonVariant.validateAlternativeButtonLinkRole(this,t)}validateShortKey(t){accessAndShortKey.validateShortKey(this,t),accessAndShortKey.validateAccessAndShortKey(this._accessKey,t)}validateTabIndex(t){accessAndShortKey.validateTabIndex(this,t)}validateTarget(t){validateLinkTarget(this,t)}validateTooltipAlign(t){tooltipAlign.validateTooltipAlign(this,t)}validateVariant(t){buttonVariant.validateButtonVariant(this,t)}componentWillLoad(){this.validateAccessKey(this._accessKey),this.validateAriaCurrentValue(this._ariaCurrentValue),this.validateAriaDescription(this._ariaDescription),this.validateAriaExpanded(this._ariaExpanded),this.validateAriaOwns(this._ariaOwns),this.validateCustomClass(this._customClass),this.validateDisabled(this._disabled),this.validateDownload(this._download),this.validateHideLabel(this._hideLabel),this.validateHref(this._href),this.validateIcons(this._icons),this.validateLabel(this._label),this.validateOn(this._on),this.validateRole(this._role),this.validateShortKey(this._shortKey),this.validateTabIndex(this._tabIndex),this.validateTarget(this._target),this.validateTooltipAlign(this._tooltipAlign),this.validateVariant(this._variant),this.unsubscribeOnLocationChange=ariaCurrentService.onLocationChange((t=>{this.state._ariaCurrent=t===this.state._href?this.state._ariaCurrentValue:void 0})),accessAndShortKey.validateAccessAndShortKey(this._accessKey,this._shortKey)}disconnectedCallback(){this.unsubscribeOnLocationChange&&this.unsubscribeOnLocationChange()}static get watchers(){return{_accessKey:["validateAccessKey"],_ariaCurrentValue:["validateAriaCurrentValue"],_ariaDescription:["validateAriaDescription"],_ariaExpanded:["validateAriaExpanded"],_ariaOwns:["validateAriaOwns"],_customClass:["validateCustomClass"],_disabled:["validateDisabled"],_download:["validateDownload"],_hideLabel:["validateHideLabel"],_href:["validateHref"],_icons:["validateIcons"],_label:["validateLabel"],_on:["validateOn"],_role:["validateRole"],_shortKey:["validateShortKey"],_tabIndex:["validateTabIndex"],_target:["validateTarget"],_tooltipAlign:["validateTooltipAlign"],_variant:["validateVariant"]}}};exports.kol_link_wc=KolLinkWc;