/*!
 * KoliBri - The accessible HTML-Standard
 */
import{proxyCustomElement,HTMLElement,h,Host}from"@stencil/core/internal/client";import{a as validateAlign}from"./align.js";import{c as watchBoolean,s as setState}from"./prop.validators.js";import{v as validateLabel}from"./label.js";import{v as validateOpen}from"./open.js";const validateModal=(e,n)=>{watchBoolean(e,"_modal",n)},defaultStyleCss="/*\n * This file contains all rules for accessibility.\n */\n@layer kol-global {\n  :host {\n    /*\n     * Minimum size of interactive elements.\n     */\n    --a11y-min-size: calc(44rem / var(--kolibri-root-font-size, 16));\n    /*\n     * No element should be used without a background and font color whose contrast ratio has\n     * not been checked. By initially setting the background color to white and the font color\n     * to black, the contrast ratio is ensured and explicit adjustment is forced.\n     */\n    background-color: white;\n    color: black;\n    /*\n     * Verdana is an accessible font that can be used without requiring additional loading time.\n     */\n    font-family: Verdana;\n  }\n  * {\n    /*\n     * This rule enables the word dividing for all texts. That is important for high zoom levels.\n     */\n    hyphens: auto;\n    /*\n     * Letter spacing is required for all texts.\n     */\n    letter-spacing: inherit;\n    /*\n     * This rule enables the word dividing for all texts. That is important for high zoom levels.\n     */\n    word-break: break-word;\n    /*\n     * Word spacing is required for all texts.\n     */\n    word-spacing: inherit;\n  }\n  /*\n   * All interactive elements should have a minimum size of rem(44).\n   */\n  /* input:not([type='checkbox'], [type='radio'], [type='range']), */\n  /* option, */\n  /* select, */\n  /* textarea, */\n  [role=button],\n  button:not([role=link]),\n  .kol-input .input {\n    min-height: var(--a11y-min-size);\n    min-width: var(--a11y-min-size);\n  }\n  /*\n   * Some interactive elements should not inherit the font-family and font-size.\n   */\n  a,\n  button,\n  h1,\n  h2,\n  h3,\n  h4,\n  h5,\n  h6,\n  input,\n  option,\n  select,\n  textarea {\n    /*\n     * All elements should inherit the font family from his parent element.\n     */\n    font-family: inherit;\n    /*\n     * All elements should inherit the font size from his parent element.\n     */\n    font-size: inherit;\n  }\n}\n/**\n * Sometimes we need the semantic element for accessibility reasons,\n * but we don't want to show it.\n *\n * - https://www.a11yproject.com/posts/how-to-hide-content/\n */\n.visually-hidden {\n  clip: rect(0 0 0 0);\n  clip-path: inset(50%);\n  height: calc(1rem / var(--kolibri-root-font-size, 16));\n  overflow: hidden;\n  position: absolute;\n  white-space: nowrap;\n  width: calc(1rem / var(--kolibri-root-font-size, 16));\n}\n\n@layer kol-global {\n  /*\n   * Dieses CSS stellt sicher, dass der Standard-Style\n   * von A und Button resettet werden.\n   */\n  :is(a, button) {\n    background-color: transparent;\n    border: none;\n    margin: 0;\n    padding: 0;\n    width: 100%; /* 100% needed for custom width from outside */\n  }\n  /*\n   * Ensure elements with hidden attribute to be actually not visible\n   * @see https://meowni.ca/hidden.is.a.lie.html\n   */\n  [hidden] {\n    display: none !important;\n  }\n}\n@layer kol-global {\n  :host {\n    /*\n     * The max-width is needed to prevent the table from overflowing the\n     * parent node, if the table is wider than the parent node.\n     */\n    max-width: 100%;\n  }\n  * {\n    /*\n     * We prefer to box-sizing: border-box for all elements.\n     */\n    box-sizing: border-box;\n  }\n  .kol-span {\n    /* KolSpan is a layout component with icons in all directions and a label text in the middle. */\n    display: grid;\n    place-items: center;\n    /* The sub span in KolSpan is the horizontal span with icon left and right and the label text in the middle. */\n  }\n  .kol-span__container {\n    display: flex;\n    place-items: center;\n  }\n  a,\n  button {\n    cursor: pointer;\n  }\n  .kol-span .kol-span__label--hide-label .kol-span__label {\n    display: none;\n  }\n  /* Reset browser agent style. */\n  button:disabled {\n    color: unset;\n  }\n  .disabled label,\n  .disabled:focus-within label,\n  [aria-disabled=true],\n  [aria-disabled=true]:focus,\n  [disabled],\n  [disabled]:focus {\n    cursor: not-allowed;\n    opacity: 0.5;\n    outline: none;\n  }\n  [aria-disabled=true]:focus .kol-span,\n  [disabled]:focus .kol-span {\n    outline: none !important;\n  }\n}\n@layer kol-component {\n  :host {\n    font-size: calc(16rem / var(--kolibri-root-font-size, 16));\n  }\n  .drawer__dialog {\n    padding: 0;\n    border: none;\n  }\n  .drawer__wrapper {\n    position: fixed;\n    width: auto;\n    overflow: auto;\n    background-color: white;\n  }\n  .drawer__wrapper--left {\n    top: 0;\n    left: 0;\n    height: 100vh;\n    max-height: 100%;\n  }\n  .drawer__wrapper--right {\n    top: 0;\n    right: 0;\n    height: 100vh;\n    max-height: 100%;\n  }\n  .drawer__wrapper--top {\n    left: 0;\n    top: 0;\n    width: 100vw;\n    max-width: 100%;\n  }\n  .drawer__wrapper--bottom {\n    left: 0;\n    bottom: 0;\n    width: 100vw;\n    max-width: 100%;\n  }\n  .drawer__content {\n    position: relative;\n    padding: calc(16rem / var(--kolibri-root-font-size, 16));\n  }\n}",KolDrawerDefaultStyle0=defaultStyleCss,KolDrawer$1=proxyCustomElement(class extends HTMLElement{constructor(){super(),this.__registerHost(),this.__attachShadow(),this.getWrapperRef=e=>this.dialogWrapperElement=e,this.getRef=e=>this.dialogElement=e,this._open=void 0,this._align=void 0,this._label=void 0,this._modal=void 0,this._on=void 0,this.state={_label:"",_open:!1,_align:"left"}}async open(){var e,n;this.state=Object.assign(Object.assign({},this.state),{_open:!0}),this.state._modal?null===(e=this.dialogElement)||void 0===e||e.showModal():null===(n=this.dialogElement)||void 0===n||n.show()}async close(){this.state=Object.assign(Object.assign({},this.state),{_open:!1});const e=this.dialogWrapperElement;if(!e)return;"none"===window.getComputedStyle(e).animationName&&this.handleCloseDialog()}renderDialogContent(){const e=this.state._align;return h("div",{ref:this.getWrapperRef,class:`drawer__wrapper drawer__wrapper--${e} ${this.state._open?"drawer__wrapper--open":"is-closing"}`,"aria-label":this.state._label},h("div",{class:"drawer__content"},h("slot",null)))}render(){const e=this.state._modal;return h(Host,{key:"15e2a1dcc43125f4146011afc9537a98de7bdaa8",class:"kol-drawer drawer "+(e?"drawer--modal":""),ref:e=>this.hostElement=e},h("dialog",{key:"4f381e497e712a39b07b98daff1b6c7aba8d1d1f",class:"drawer__dialog",ref:this.getRef},this.renderDialogContent()))}validateLabel(e){validateLabel(this,e,{required:!0})}validateAlign(e){validateAlign(this,e)}validateModal(e){validateModal(this,e)}async validateOpen(e){"boolean"==typeof e&&(validateOpen(this,e),e?await this.open():await this.close())}validateOn(e){if("object"==typeof e&&null!==e){const n={};"function"==typeof e.onClose&&(n.onClose=e.onClose),setState(this,"_on",n)}}handleCloseDialog(){var e,n,t;null===(e=this.dialogElement)||void 0===e||e.close(),null===(t=null===(n=this._on)||void 0===n?void 0:n.onClose)||void 0===t||t.call(n)}handleClose(){}handleAnimationEnd(e){e.animationName.includes("slideOut")&&this.handleCloseDialog()}componentDidLoad(){var e,n;null===(e=this.dialogElement)||void 0===e||e.addEventListener("animationend",this.handleAnimationEnd.bind(this)),null===(n=this.dialogElement)||void 0===n||n.addEventListener("close",this.handleClose.bind(this))}disconnectedCallback(){var e,n;null===(e=this.dialogElement)||void 0===e||e.removeEventListener("animationend",this.handleAnimationEnd.bind(this)),null===(n=this.dialogElement)||void 0===n||n.removeEventListener("close",this.handleClose.bind(this))}async componentWillLoad(){this.validateLabel(this._label),await this.validateOpen(this._open),this.validateAlign(this._align),this.validateModal(this._modal),this.validateOn(this._on)}static get watchers(){return{_label:["validateLabel"],_align:["validateAlign"],_modal:["validateModal"],_open:["validateOpen"],_on:["validateOn"]}}static get style(){return{default:KolDrawerDefaultStyle0}}},[33,"kol-drawer",{_open:[4],_align:[1],_label:[1],_modal:[4],_on:[16],state:[32],open:[64],close:[64]},void 0,{_label:["validateLabel"],_align:["validateAlign"],_modal:["validateModal"],_open:["validateOpen"],_on:["validateOn"]}]);function defineCustomElement$1(){if("undefined"==typeof customElements)return;["kol-drawer"].forEach((e=>{if("kol-drawer"===e)customElements.get(e)||customElements.define(e,KolDrawer$1)}))}const KolDrawer=KolDrawer$1,defineCustomElement=defineCustomElement$1;export{KolDrawer,defineCustomElement};